#include <io.h>		/* dup2() */
#include <stdio.h>	/* fopen(),fclose(),fileno() */
#include <fcntl.h>	/* STDIN */

FILE *change_stdin()
/* 今まで標準入力でアクセスしていたものをfpでアクセスする様にし、*/
/* 標準入力をコンソールに戻す関数 */
{
FILE *fp;
	fp=fopen("NUL","w"); /* ダミーファイルオープン */
	dup2(STDIN,fileno(fp)); /* fpが標準入力と同じものをアクセス出来るようにする */
	fclose(stdin); /* 標準入力をコンソールに戻す */
	return(fp);
}
